#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: nightscout/cgm-remote-monitor
  # -- image tag
  # @default -- chart.appVersion
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See more environment variables in the [Nightscout/cgm-remote-monitor documentation](https://github.com/nightscout/cgm-remote-monitor#environment).
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- MongoDB URI, eg mongodb://sally:sallypass@ds099999.mongolab.com:99999/nightscout
  MONGODB_URI: ''
  # -- API secret, must be at least 12 characters long
  API_SECRET: ''
  # -- MongoDB collection for BG entries
  MONGODB_COLLECTION: entries
  # -- Display units for BG. Valid values are mg/dl or mmol
  DISPLAY_UNITS: mg/dl

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 1337

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence: {}
  # data:
  #   enabled: false
  #   mountPath: /data
